package com.bootdo.system.service;

import java.io.PrintStream;
import java.security.Principal;
import java.util.Collection;
import java.util.List;

import com.bootdo.system.domain.UserDO;
import org.apache.shiro.session.Session;
import org.springframework.stereotype.Service;

import com.bootdo.system.domain.UserOnline;

import javax.servlet.http.HttpServletRequest;

@Service
public interface SessionService {
	List<UserOnline> list(HttpServletRequest request) throws Exception;

	List<UserDO> listOnlineUser();

	Collection<Session> sessionList();

	boolean logout() throws Exception;

	boolean forceLogout(String sessionId,HttpServletRequest request) throws Exception;

}
